RPM Error: cannot open Depends index using db1 - Invalid argument (22)

RPM Error: cannot open Depends index using db1 - Invalid argument (22)

Post by irfa » Thu, 21 Feb 2002 05:37:35



Hello. I am trying to recompile the kernel on my machine which is
using Redhat 6.0. I need to install IPSec support.

so i downloaded the kernel-source-2.2.17-14.i386.rpm. But when I try
to upgrade the package, it gives the following error.

error: cannot open Depends index using db1 - Invalid argument (22)
Segmentation fault (core dumped)

Version info:
rpm -q:  rpm-4.0.2-5x

Any help appreciated